--
-- oxfordshire
-- edit to Oxfordshire by sandgroper
-- Copyright (C) Ace-uk, Confidential, All Rights Reserved.

oxfordshire = {}

local oxfordshire_mt = Class(oxfordshire, Mission00);

function oxfordshire:new(baseDirectory, customMt)
    local mt = customMt;
    if mt == nil then
        mt = oxfordshire_mt;
    end;
    local self = oxfordshire:superClass():new(baseDirectory, mt);
    return self;
end;

function oxfordshire:delete()
    oxfordshire:superClass().delete(self);
end;

function oxfordshire:load()
    self.environment = Environment:new(Utils.getFilename("$data/sky/sky_day_night.i3d", self.baseDirectory), true, 8, true, true);
    
    -- load the map
    self:loadMap(Utils.getFilename("map01.i3d", self.baseDirectory));
    
    -- load paths for AI traffic vehicles
    -- self:loadMap(Utils.getFilename("map01/paths/trafficPaths.i3d", self.baseDirectory));    
        
    AnimalHusbandry.initialize();
    self:loadMap(Utils.getFilename("$data/maps/missions/CattleMeadow.i3d", self.baseDirectory));
    
    -- load the PDA map image
    self.missionPDA:loadMap(Utils.getFilename("map01/pda_map.dds", self.baseDirectory));
    
    oxfordshire:superClass().load(self);
end
function oxfordshire:loadFinished()
    oxfordshire:superClass().loadFinished(self);
    AnimalHusbandry.finalize();
end;

function oxfordshire:mouseEvent(posX, posY, isDown, isUp, button)
    oxfordshire:superClass().mouseEvent(self, posX, posY, isDown, isUp, button);
end;

function oxfordshire:keyEvent(unicode, sym, modifier, isDown)
    oxfordshire:superClass().keyEvent(self, unicode, sym, modifier, isDown);
end;

function oxfordshire:update(dt)
    oxfordshire:superClass().update(self, dt);
end;

function oxfordshire:draw()
    oxfordshire:superClass().draw(self);
end;
